pkgname="bc"
pkgver="6.0.4"
pkgurl="https://github.com/gavinhoward/bc/releases/download/$pkgver/bc-$pkgver.tar.gz"

pkgmode="web"

setupdir="$workdir"
builddir="$workdir/build"
installdir="$workdir/build"
srcdir="$workdir/bc-$pkgver"

port_unpack()
{
    tar xvf bc-$pkgver.tar.gz
}

port_patch()
{
    patch -u -i $portdir/bc.patch -p 1 -d $workdir
}

port_configure()
{
    HOSTCC=gcc PREFIX=${PREFIX:-""} $srcdir/configure --disable-nls --bc-only --disable-history --disable-man-pages
}

port_build()
{
    make -j$(nproc)
}

port_install()
{
    make install
}

port_uninstall()
{
    make uninstall
}